Contents

GET /reserves/$RESERVE_PUB#

Request summary information about a reserve.

Request:

Query Parameters:
  • timeout_ms=MILLISECONDSOptional. If specified, the exchange will wait up to MILLISECONDS for incoming funds before returning a 404 if the reserve does not yet exist.

Response:

200 OK:

The exchange responds with a ReserveSummary object; the reserve was known to the exchange.

404 Not found:

The reserve key does not belong to a reserve known to the exchange.

Details:

interface ReserveSummary {
  // Balance left in the reserve.
  balance: Amount;

  // Full payto URI of the bank account that
  // (most recently) funded this reserve.
  // Useful as a hint for deposit operations for wallets.
  // Missing if this reserve was only filled via P2P merges.
  // @since protocol **v23**.
  last_origin?: string;

  // The expiration date of the reserve.
  // Any residual value of in the reserve after this date
  // will be returned to the last_origin, if present.
  // @since protocol **vRECOUP**.
  reserve_expiration: Timestamp;

  // If set, proof of age restriction is required and age restriction needs
  // to be set for each coin to this value during the withdrawal from this reserve.
  // The client then MUST use a denomination with support for age restriction enabled
  // for the withdrawal and MUST set an appropriate value for max_age
  // The value represents a valid age group from the list of permissible
  // age groups as defined by the exchange's output to /keys.
  maximum_age_group?: Integer;
}